<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="hierarchy.html">Go to the textual class hierarchy</a></p>
</div><table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit_graph_0.png" border="0" usemap="#aCard" alt=""/>
<map name="aCard" id="aCard">
<area shape="rect" href="classBanditCard.html" title=" " alt="" coords="7,461,102,488"/>
<area shape="rect" href="classCard.html" title=" " alt="" coords="189,613,241,640"/>
<area shape="rect" href="classActionCard.html" title=" " alt="" coords="169,208,262,235"/>
<area shape="rect" href="classBulletCard.html" title=" " alt="" coords="170,664,261,691"/>
<area shape="rect" href="classDeck.html" title=" " alt="" coords="188,259,243,285"/>
<area shape="rect" href="classDialogueBox.html" title=" " alt="" coords="163,715,268,741"/>
<area shape="rect" href="classHand.html" title=" " alt="" coords="187,309,243,336"/>
<area shape="rect" href="classMiniRound.html" title=" " alt="" coords="170,765,261,792"/>
<area shape="rect" href="classPlayer.html" title=" " alt="" coords="184,360,247,387"/>
<area shape="rect" href="classPlayerStats.html" title=" " alt="" coords="167,816,263,843"/>
<area shape="rect" href="classRoundCard.html" title=" " alt="" coords="169,411,262,437"/>
<area shape="rect" href="classRoundCardDeck.html" title=" " alt="" coords="152,461,279,488"/>
<area shape="rect" href="classSheriff.html" title=" " alt="" coords="183,512,247,539"/>
<area shape="rect" href="classTable.html" title=" " alt="" coords="187,563,243,589"/>
<area shape="rect" href="classTrain.html" title=" " alt="" coords="189,56,242,83"/>
<area shape="rect" href="classTreasure.html" title=" " alt="" coords="177,107,254,133"/>
<area shape="rect" href="classWagon.html" title=" " alt="" coords="182,157,249,184"/>
<area shape="rect" href="classNeutralBullet.html" title=" " alt="" coords="327,613,435,640"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="5,233,104,260"/>
<area shape="rect" href="classGame.html" title=" " alt="" coords="185,5,246,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_1.png" border="0" usemap="#aCardColection" alt=""/>
<map name="aCardColection" id="aCardColection">
<area shape="rect" title=" " alt="" coords="5,183,96,209"/>
<area shape="rect" href="classCardColection.html" title=" " alt="" coords="189,5,303,32"/>
<area shape="rect" href="classMiniRoundCollection.html" title=" " alt="" coords="168,56,324,83"/>
<area shape="rect" href="classPlayerGroup.html" title=" " alt="" coords="195,107,297,133"/>
<area shape="rect" href="classPlayerPerspectiveCollection.html" title=" " alt="" coords="144,157,348,184"/>
<area shape="rect" href="classPlayerStatsCollection.html" title=" " alt="" coords="165,208,327,235"/>
<area shape="rect" href="classRoundCardCollection.html" title=" " alt="" coords="167,259,325,285"/>
<area shape="rect" href="classTreasureChest.html" title=" " alt="" coords="189,309,303,336"/>
<area shape="rect" href="classWagonArray.html" title=" " alt="" coords="195,360,297,387"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_2.png" border="0" usemap="#aMainWindow" alt=""/>
<map name="aMainWindow" id="aMainWindow">
<area shape="rect" title=" " alt="" coords="5,5,121,32"/>
<area shape="rect" href="classMainWindow.html" title=" " alt="" coords="169,5,276,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_3.png" border="0" usemap="#aPlayerClient" alt=""/>
<map name="aPlayerClient" id="aPlayerClient">
<area shape="rect" title=" " alt="" coords="5,56,80,83"/>
<area shape="rect" href="classPlayerClient.html" title=" " alt="" coords="173,5,275,32"/>
<area shape="rect" href="classPlayerServer.html" title=" " alt="" coords="171,56,277,83"/>
<area shape="rect" href="classSinglePlayerStateMachine.html" title=" " alt="" coords="128,107,320,133"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_4.png" border="0" usemap="#aPlayerPerspective" alt=""/>
<map name="aPlayerPerspective" id="aPlayerPerspective">
<area shape="rect" title=" " alt="" coords="5,5,133,32"/>
<area shape="rect" href="classPlayerPerspective.html" title=" " alt="" coords="181,5,320,32"/>
</map>
</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
